Mailinglist Archive: opensuse-updates (31 mails)

< Previous Next >
openSUSE-SU-2010:0198-2 (moderate): mysql security update
  • From: opensuse-security@xxxxxxxxxxxx
  • Date: Tue, 4 May 2010 21:08:16 +0200 (CEST)
  • Message-id: <20100504190816.97334BE13@xxxxxxxxxxxxxx>
openSUSE Security Update: mysql security update
______________________________________________________________________________

Announcement ID: openSUSE-SU-2010:0198-2
Rating: moderate
References: #557669
Cross-References: CVE-2008-7247 CVE-2009-4019 CVE-2009-4028
CVE-2009-4030
Affected Products:
openSUSE 11.2
openSUSE 11.1
openSUSE 11.0
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:

Updated mysql packages fix the following bugs:
- upstream #47320 - checking server certificates
(CVE-2009-4028)
- upstream #48291 - error handling in subqueries
(CVE-2009-4019)
- upstream #47780 - preserving null_value flag in
GeomFromWKB() (CVE-2009-4019)
- upstream #39277 - symlink behaviour fixed
(CVE-2008-7247)
- upstream #32167 - symlink behaviour refixed
(CVE-2009-4030)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.2:

zypper in -t patch libmysqlclient-devel-2315

- openSUSE 11.1:

zypper in -t patch libmysqlclient-devel-2315

- openSUSE 11.0:

zypper in -t patch libmysqlclient-devel-2315

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.2 (i586 src x86_64):

mysql-5.1.36-6.8.8

- openSUSE 11.2 (i586 x86_64):

libmysqlclient-devel-5.1.36-6.8.8
libmysqlclient16-5.1.36-6.8.8
libmysqlclient_r16-5.1.36-6.8.8
libmysqld-devel-5.1.36-6.8.8
mysql-bench-5.1.36-6.8.8
mysql-client-5.1.36-6.8.8
mysql-debug-5.1.36-6.8.8
mysql-ndb-extra-5.1.36-6.8.8
mysql-ndb-management-5.1.36-6.8.8
mysql-ndb-storage-5.1.36-6.8.8
mysql-ndb-tools-5.1.36-6.8.8
mysql-test-5.1.36-6.8.8
mysql-tools-5.1.36-6.8.8

- openSUSE 11.2 (x86_64):

libmysqlclient16-32bit-5.1.36-6.8.8
libmysqlclient_r16-32bit-5.1.36-6.8.8

- openSUSE 11.1 (i586 ppc src x86_64):

mysql-5.0.67-12.17.7

- openSUSE 11.1 (i586 ppc x86_64):

libmysqlclient-devel-5.0.67-12.17.7
libmysqlclient15-5.0.67-12.17.7
libmysqlclient_r15-5.0.67-12.17.7
mysql-Max-5.0.67-12.17.7
mysql-bench-5.0.67-12.17.7
mysql-client-5.0.67-12.17.7
mysql-debug-5.0.67-12.17.7
mysql-test-5.0.67-12.17.7
mysql-tools-5.0.67-12.17.7

- openSUSE 11.1 (x86_64):

libmysqlclient15-32bit-5.0.67-12.17.7
libmysqlclient_r15-32bit-5.0.67-12.17.7

- openSUSE 11.1 (ppc):

libmysqlclient15-64bit-5.0.67-12.17.7
libmysqlclient_r15-64bit-5.0.67-12.17.7

- openSUSE 11.0 (i586 ppc ppc64 src x86_64):

mysql-5.0.51a-27.8

- openSUSE 11.0 (i586 ppc x86_64):

libmysqlclient-devel-5.0.51a-27.8
libmysqlclient15-5.0.51a-27.8
libmysqlclient_r15-5.0.51a-27.8
mysql-Max-5.0.51a-27.8
mysql-bench-5.0.51a-27.8
mysql-client-5.0.51a-27.8
mysql-debug-5.0.51a-27.8
mysql-tools-5.0.51a-27.8

- openSUSE 11.0 (x86_64):

libmysqlclient15-32bit-5.0.51a-27.8
libmysqlclient_r15-32bit-5.0.51a-27.8

- openSUSE 11.0 (ppc):

libmysqlclient15-64bit-5.0.51a-27.8
libmysqlclient_r15-64bit-5.0.51a-27.8


References:

http://support.novell.com/security/cve/CVE-2008-7247.html
http://support.novell.com/security/cve/CVE-2009-4019.html
http://support.novell.com/security/cve/CVE-2009-4028.html
http://support.novell.com/security/cve/CVE-2009-4030.html
https://bugzilla.novell.com/557669


< Previous Next >
This Thread
  • No further messages